package types

/*
	Интерфейс к объекту шахты
*/

// IMine -- интерфейс к объекту шахты
type IMine interface {
	ISection
	// Ruda -- возвращает объект руды
	Ruda() IStatParam
	// Ferrum -- возвращает объект железа
	Ferrum() IStatParam
	// Steel -- возвращает объект стали
	Steel() IStatParam
	// Plumbum -- возвращает объект свинца
	Plumbum() IStatParam
	// NumProduct -- количество производимого продукта
	NumProduct() IStatParam
}
